set -x

# Copy the app from the archive wrapper to the source root folder
${CP} -pR "$ARCHIVE_PRODUCTS_PATH/$INSTALL_PATH/$WRAPPER_NAME" "$SRCROOT"

# Optional, disk cleanup, remove the archive
rm -rf "${ARCHIVE_PATH}"

# cp /usr/local/gitftpdeploy/libssh2.1.dylib "$SRCROOT/$PRODUCT_NAME.app"/Contents/Frameworks/
# install_name_tool -id @executable_path/libssh2.1.dylib "$SRCROOT/$PRODUCT_NAME.app"/Contents/Frameworks/libssh2.1.dylib
# install_name_tool -change /usr/local/lib/libssh2.1.dylib @executable_path/libssh2.1.dylib "$SRCROOT/$PRODUCT_NAME.app"/Contents/Frameworks/libssh2.1.dylib

# install_name_tool -change /usr/local/lib/libssh2.1.dylib @executable_path/libssh2.1.dylib "$SRCROOT/$PRODUCT_NAME.app"/Contents/Frameworks/curl
# install_name_tool -change /usr/local/lib/libssh2.1.dylib @executable_path/libssh2.1.dylib "$SRCROOT/$PRODUCT_NAME.app"/Contents/Resources/curl


# get version suffix
# The defaults command can read/write to any plist file,
# just give it a path minus the .plist extension
MARKETING_VERSION=_$(defaults read "$SRCROOT/"GitFtpDeploy/Info CFBundleShortVersionString)

# remove any old zip file
if [ -e "$PRODUCT_MODULE_NAME$MARKETING_VERSION.zip" ] ; then
rm -f "$PRODUCT_MODULE_NAME$MARKETING_VERSION.zip"
fi



# codesign --deep for everything, including frameworks and binaries
codesign --force --sign "Developer ID Application: EastWest Umea AB (HFHJ64FTEN)" --deep "$SRCROOT/$PRODUCT_NAME.app"

# zip the app bundle using ditto
ditto -ck --keepParent "$SRCROOT/$PRODUCT_NAME.app" "$SRCROOT/$PRODUCT_MODULE_NAME$MARKETING_VERSION.zip"

# remove the app we just zipped
rm -rf "$SRCROOT/$PRODUCT_NAME.app"

# make a directory for dSym files and sparkle dsa signatures
BACKUPDIRECTORY="$SRCROOT/backups"
if [ ! -d "$BACKUPDIRECTORY" ] ; then
mkdir "$BACKUPDIRECTORY"
fi

# generate a key for sparkle and save to file
SAVEDDSAPATH="$BACKUPDIRECTORY/$PRODUCT_MODULE_NAME$MARKETING_VERSION.dsa.txt"
/Users/janne/Documents/Sparkle/bin/sign_update "$SRCROOT/$PRODUCT_MODULE_NAME$MARKETING_VERSION.zip" /Users/janne/Documents/Sparkle/GitFTP-Deploy/dsa_priv.pem > $SAVEDDSAPATH

echo "Done!"
